var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconFlowChoreographyComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? true : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-flow-choreography").concat(loadingKls, " ").concat(className), width: width, height: height, xmlns: "http://www.w3.org/2000/svg", fill: useCurrentColor ? 'currentColor' : '#000', viewBox: "0 0 16 16" }, rest, { ref: ref }),
        React.createElement("path", { fillRule: "evenodd", d: "M2.5 1A1.5 1.5 0 0 0 1 2.5v11A1.5 1.5 0 0 0 2.5 15h11a1.5 1.5 0 0 0 1.5-1.5v-11A1.5 1.5 0 0 0 13.5 1h-11Zm6.53 3.697H6.333a2.04 2.04 0 0 0-2.04 2.04 1.96 1.96 0 0 0 1.96 1.959h3.5a.578.578 0 1 1 0 1.156H6.771l-.042-.056a1.63 1.63 0 1 0 .24 1.485l.032-.095h2.752a1.911 1.911 0 0 0 0-3.823h-3.5a.626.626 0 0 1-.626-.626c0-.39.316-.707.706-.707H9.15l.041.066a1.63 1.63 0 0 0 3.013-.865 1.63 1.63 0 0 0-3.139-.62l-.035.086Zm.962.534a.582.582 0 1 1 1.164 0 .582.582 0 0 1-1.165 0Zm-5.154 5.538a.582.582 0 1 1 1.165 0 .582.582 0 0 1-1.165 0Z", clipRule: "evenodd" }));
}
var IconFlowChoreography = React.forwardRef(IconFlowChoreographyComponent);
export default IconFlowChoreography;
